#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%global		srel	%(echo 14.4.0.0 | cut -d '.' -f3-4)
%global		relver	%(echo 14.4.0.0 | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	ok-seed
Version		:	%{relver}
Release		:	%{srel}%{?dist}
Summary		:	Osukiss install seed file system
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPL
URL		:	https://www.osukiss.org

Source0		:	%{name}-%{version}.%{srel}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}.%{srel}

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}
mv %{name}-ok_addon/Makefile .
#-----------------------------------------------------------------------------
#installing program
%install

sudo %{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	DATADIR=%{_datadir}					\
	install

#-----------------------------------------------------------------------------
%clean
sudo %{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{name}.sqfs

%post

%postun

%changelog
